Problem in upgrade and install anyone

Pyton78

New Member
Credits
113
Hello,
I`m a beginer in linux, I use Ubuntu Server 20.04 - this is my first distribution. For cup of day I have a problem when I need to upgrade or install anyone. I have a answer:

apt-get upgrade:
"pkg: error processing package linux-image-5.4.0-47-generic (--remove):
installed linux-image-5.4.0-47-generic package post-removal script subprocess returned error exit status 1
dpkg: too many errors, stopping
Errors were encountered while processing:
linux-image-5.4.0-47-generic
Processing was halted because there were too many errors."


If I try install cento, because I have a problem whit this package:

The following additional packages will be installed:
cento pfring pfring-dkms
The following packages will be REMOVED:
linux-image-5.4.0-47-generic
The following packages will be upgraded:
cento n2disk pfring pfring-dkms
4 upgraded, 0 newly installed, 1 to remove and 21 not upgraded.

when I try reinstall linux-image-5.4.0-47-generic - apt-get reinstall linux-image-5.4.0-47-generic
"
[email protected]:/home/tomek# apt-get reinstall linux-image-5.4.0-47-generic
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 25 not upgraded.
7 not fully installed or removed.
Need to get 8881 kB of archives.
After this operation, 0 B of additional disk space will be used.
Get:1 http://pl.archive.ubuntu.com/ubuntu focal-updates/main amd64 linux-image-5.4.0-47-generic amd64 5.4.0-47.51 [8881 kB]
Fetched 8881 kB in 1s (9163 kB/s)
(Reading database ... 627974 files and directories currently installed.)
Preparing to unpack .../linux-image-5.4.0-47-generic_5.4.0-47.51_amd64.deb ...
Unpacking linux-image-5.4.0-47-generic (5.4.0-47.51) over (5.4.0-47.51) ...
Setting up cento (1.12.201102-602) ...
Making the /var/log/cento directory...
(Re)Starting cento..."

and they do enything....

could you help me.....
 
Last edited:


Pyton78

New Member
Credits
113
I try reinstall kernel:

[email protected]:/home/tomek/Downloads# dpkg -i linux-image-unsigned-5.4.0-47-generic_5.4.0-47.51_amd64.deb
Selecting previously unselected package linux-image-unsigned-5.4.0-47-generic.
dpkg: regarding linux-image-unsigned-5.4.0-47-generic_5.4.0-47.51_amd64.deb containing linux-image-unsigned-5.4.0-47-generic:
linux-image-unsigned-5.4.0-47-generic conflicts with linux-image-5.4.0-47-generic
linux-image-5.4.0-47-generic (version 5.4.0-47.51) is present and unpacked but not configured.

dpkg: error processing archive linux-image-unsigned-5.4.0-47-generic_5.4.0-47.51_amd64.deb (--install):
conflicting packages - not installing linux-image-unsigned-5.4.0-47-generic
Errors were encountered while processing:
linux-image-unsigned-5.4.0-47-generic_5.4.0-47.51_amd64.deb
 

jglen490

Well-Known Member
Credits
3,076
Updates with apt, should use the following sequence:
Code:
sudo apt update

sudo apt full-upgrade
The apt update syncs your local cache to the repos, then full-upgrade updates all installed, and updateable software, including removing unneeded software to allow a proper update of your software.
 

Pyton78

New Member
Credits
113
thenk you, but this don`t help. I can install enything. Wenn I try install, instalation stop to (Re)configure cento
 

jglen490

Well-Known Member
Credits
3,076
I'm not sure what "cento" is, but I do know that "dpkg -i" does not manage dependencies as well as "apt install" does. Dependencies seems to be a big part of your update and install problem.
 

Pyton78

New Member
Credits
113
I try:
apt full-upgrade

Errors were encountered while processing:
grub-pc
grub-efi-amd64-signed
linux-image-5.4.0-52-generic
linux-image-5.4.0-52-lowlatency
linux-image-5.4.0-47-generic

apt-get install update-manager-core
E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem.
[email protected]:/home/tomek/Downloads/grub/grub-2.04# dpkg --configure -a
Setting up i40e-zc-dkms (2.4.6.3267) ...
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
dpkg: error processing package i40e-zc-dkms (--configure):
installed i40e-zc-dkms package post-installation script subprocess returned error exit status 1
Setting up igb-zc-dkms (5.3.5.18.3267) ...
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
dpkg: error processing package igb-zc-dkms (--configure):
installed igb-zc-dkms package post-installation script subprocess returned error exit status 1
Setting up fm10k-zc-dkms (0.23.5.3267) ...
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
dpkg: error processing package fm10k-zc-dkms (--configure):
installed fm10k-zc-dkms package post-installation script subprocess returned error exit status 1
Setting up cento (1.12.201105-602) ...
Making the /var/log/cento directory...
(Re)Starting cento...

here is pause instaltion

[1]+ Stopped dpkg --configure -a
 

jglen490

Well-Known Member
Credits
3,076
Run this:
Code:
sudo dpkg --configure -a
After that finishes run this:
Code:
sudo apt update
If update indicates that updates are available, then run:
Code:
sudo apt full-upgrade
If there are still errors, run:
Code:
sudo apt install -f
and if this tries to fix errors, then run sudo apt update and then sudo apt full-upgrade again. You may need to repeat this sequence again, until there are no more errors.

Once you have no more errors, then run sudo apt install for desired packages, or use Synaptic. The dpkg command is not incompetent, but it is not designed to fully and correctly handle all dependencies. The apt command is designed to handle dependencies, as is the Synaptic GUI.
 

Carosone

New Member
Credits
62
Hello,
I`m a beginer in linux, I use Ubuntu Server 20.04 - this is my first distribution. For cup of day I have a problem when I need to upgrade or install anyone. I have a answer:

apt-get upgrade:
"pkg: error processing package linux-image-5.4.0-47-generic (--remove):
installed linux-image-5.4.0-47-generic package post-removal script subprocess returned error exit status 1
dpkg: too many errors, stopping
Errors were encountered while processing:
linux-image-5.4.0-47-generic
Processing was halted because there were too many errors."


If I try install cento, because I have a problem whit this package:

The following additional packages will be installed:
cento pfring pfring-dkms
The following packages will be REMOVED:
linux-image-5.4.0-47-generic
The following packages will be upgraded:
cento n2disk pfring pfring-dkms
4 upgraded, 0 newly installed, 1 to remove and 21 not upgraded.

when I try reinstall linux-image-5.4.0-47-generic - apt-get reinstall linux-image-5.4.0-47-generic
"
[email protected]:/home/tomek# apt-get reinstall linux-image-5.4.0-47-generic
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 25 not upgraded.
7 not fully installed or removed.
Need to get 8881 kB of archives.
After this operation, 0 B of additional disk space will be used.
Get:1 http://pl.archive.ubuntu.com/ubuntu focal-updates/main amd64 linux-image-5.4.0-47-generic amd64 5.4.0-47.51 [8881 kB]
Fetched 8881 kB in 1s (9163 kB/s)
(Reading database ... 627974 files and directories currently installed.)
Preparing to unpack .../linux-image-5.4.0-47-generic_5.4.0-47.51_amd64.deb ...
Unpacking linux-image-5.4.0-47-generic (5.4.0-47.51) over (5.4.0-47.51) ...
Setting up cento (1.12.201102-602) ...
Making the /var/log/cento directory...
(Re)Starting cento..."

and they do enything....

could you help me.....
You have found the very bad "FIRST INSTALLATION!" Never you go on with Ubuntu server or
CentOS... For begin install Linux Mint (64b/32b). it's is very simple and more light...Trust-me
 

jglen490

Well-Known Member
Credits
3,076
You're welcome. Come back anytime!
 


Members online


Top